Ansible Plugin - Task #3914

Port pulp_ansible to use DeclarativeVersion
08/13/2018 11:08 PM - bmbouter

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: mdellweg % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 0.1 Release

Platform Release: QA Contact:

Blocks Release: Complexity:

Backwards No Smash Test:

Incompatible:

Groomed: Yes Verified: No
Sprint Candidate: No Verification Required: No
Tags: Sprint:

Description

Overview

Now that DeclarativeVersion is available the pulp_ansible plugin can port onto it. The progress reporting names will change, but
otherwise this change will not be noticable to users, except maybe faster performance.

Implementation

The implementation will have two main parts, a metadata downloading page-by-page part, and then an object building part (i.e.
Content unit, Artifact, DeclarativeArtifact, and DeclarativeContent). The metadata downloading part is the complicated part because
in the paginated API you want several downloads running concurrently.

This is currently done in the pulp_ansible code. A master list is built here:
https://github.com/pulp/pulp_ansible/blob/master/pulp_ansible/app/tasks/synchronizing.py#L 153 Then 20 outstanding downloads
happen here: https://github.com/pulp/pulp_ansible/blob/master/pulp_ansible/app/tasks/synchronizing.py#L 155-L158

Then the "new_roles" data from a fetched page is parsed here
https://github.com/pulp/pulp_ansible/blob/master/pulp_ansible/app/tasks/synchronizing.py#L 168 This is where the Content units and
Artifact objects should be encapsulated in DeclarativeContent and DeclarativeArtifact objects respectively. This is similar to what
pulp_file does: https://github.com/pulp/pulp_file/blob/master/pulp_file/app/tasks/synchronizing.py#L74-L75

Related issues:
Related to Pulp - Task #4078: Remove the Changeset code MODIFIED

Associated revisions

Revision c9f3eec8 - 03/04/2019 02:47 PM - mdellweg

Port synchronizing to stages api

closes #3914
closes #4155

https://pulp.plan.io/issues/3914
https://pulp.plan.io/issues/4155

History
#1 - 08/16/2018 01:30 AM - daviddavis
- Sprint/Milestone set to 0.1 Release
- Groomed changed from No to Yes

- Sprint Candidate changed from No to Yes

#2 - 09/11/2018 03:57 PM - vdusek
- Status changed from NEW to ASSIGNED

- Assignee set to vdusek

#3 - 09/13/2018 10:58 AM - vdusek
- Status changed from ASSIGNED to NEW
- Assignee deleted (vdusek)

#4 - 09/14/2018 03:57 PM - amacdona@redhat.com
- Sprint Candidate changed from Yes to No

#5 -10/11/2018 10:18 PM - daviddavis
- Related to Task #4078: Remove the Changeset code added

#6 - 10/17/2018 05:00 PM - daviddavis

As part of this fix, we'll need to unpin the versoin of pulpcore-plugin:

https://github.com/pulp/pulp_ansible/pull/66

#7 - 03/04/2019 12:27 PM - mdellweg
PR available https://github.com/pulp/pulp_ansible/pull/79

#8 - 03/04/2019 01:21 PM - daviddavis
- Status changed from NEW to POST

- Assignee set to mdellweg

#9 - 03/16/2019 02:59 PM - mdellweg
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp_ansible|c9f3eec8c3a7899b4234b68938d59c4bc1cfdfbe.

#10 - 04/26/2019 10:34 PM - bmbouter
- Tags deleted (Pulp 3)
